POST api/Chat/GetUserChatsByType
Request Information
URI Parameters
None.
Body Parameters
UserChatsByType| Name | Description | Type | Additional information |
|---|---|---|---|
| accountId | integer |
Required Range: inclusive between 220 and 2147483647 |
|
| typeId | integer |
None. |
|
| pageNumber | integer |
None. |
|
| language | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"accountId": 1,
"typeId": 2,
"pageNumber": 1,
"language": "sample string 1"
}
text/plain, application/octet-stream
Sample:
{"accountId":1,"typeId":2,"pageNumber":1,"language":"sample string 1"}
application/xml, text/xml
Sample:
<UserChatsByType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountId>1</accountId> <language>sample string 1</language> <pageNumber>1</pageNumber> <typeId>2</typeId> </UserChatsByType>
multipart/form-data, application/form-data
Sample:
<UserChatsByType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountId>1</accountId><language>sample string 1</language><pageNumber>1</pageNumber><typeId>2</typeId></UserChatsByType>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
UserChatsWithTypeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| typeId | integer |
None. |
|
| isClosed | boolean |
None. |
|
| groupId | integer |
None. |
|
| groupName | string |
None. |
|
| groupImage | string |
None. |
|
| count | integer |
None. |
|
| lastMessage | string |
None. |
|
| lastMessageDate | date |
None. |
|
| closeReason | string |
None. |
|
| cancelReason | string |
None. |
|
| response | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": 1,
"typeId": 2,
"isClosed": true,
"groupId": 4,
"groupName": "sample string 5",
"groupImage": "sample string 6",
"count": 7,
"lastMessage": "sample string 8",
"lastMessageDate": "2026-04-12T17:57:39.120526+03:00",
"closeReason": "sample string 10",
"cancelReason": "sample string 11",
"response": "sample string 12"
}
text/plain, application/octet-stream
Sample:
{"id":1,"typeId":2,"isClosed":true,"groupId":4,"groupName":"sample string 5","groupImage":"sample string 6","count":7,"lastMessage":"sample string 8","lastMessageDate":"2026-04-12T17:57:39.120526+03:00","closeReason":"sample string 10","cancelReason":"sample string 11","response":"sample string 12"}
application/xml, text/xml
Sample:
<UserChatsWithTypeDTO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <cancelReason>sample string 11</cancelReason> <closeReason>sample string 10</closeReason> <count>7</count> <groupId>4</groupId> <groupImage>sample string 6</groupImage> <groupName>sample string 5</groupName> <id>1</id> <isClosed>true</isClosed> <lastMessage>sample string 8</lastMessage> <lastMessageDate>2026-04-12T17:57:39.120526+03:00</lastMessageDate> <response>sample string 12</response> <typeId>2</typeId> </UserChatsWithTypeDTO>
multipart/form-data, application/form-data
Sample:
<UserChatsWithTypeDTO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><cancelReason>sample string 11</cancelReason><closeReason>sample string 10</closeReason><count>7</count><groupId>4</groupId><groupImage>sample string 6</groupImage><groupName>sample string 5</groupName><id>1</id><isClosed>true</isClosed><lastMessage>sample string 8</lastMessage><lastMessageDate>2026-04-12T17:57:39.120526+03:00</lastMessageDate><response>sample string 12</response><typeId>2</typeId></UserChatsWithTypeDTO>